$(document).ready(function () {
    
    $("body").on("change", ".state", getStateCode);
    $("body").on("change", ".tenanttype", checkGst);
    $("body").on("change blur keyup", ".total, .rent, .othertax, .proptax, .repairtax", calcTot);


    checkGst();

    $("form").submit(function (event) {

        var tenanttype = $(".tenanttype").val(),
                gstperc = $(".gstperc").val(),
                building = $(".building").val(),
                name = $(".name").val(),
                custcode = $(".custcode").val(),
                block = $(".block").val(),
                nameprin = $(".nameprin").val(),
                a = 1;

        if (building.length <= 0 || building == '') {
            alert('Building Name Cannot Be Empty');
            a = 0;
        }
        if (custcode.length <= 0 || custcode == '') {
            alert('Tenant Code Cannot Be Empty');
            a = 0;
        }
        if (name == '') {
            alert('Tenant Name Cannot Be Empty');
            a = 0;
        }
        if (block.length <= 0 || block == '') {
            alert('Block Cannot Be Empty');
            a = 0;
        }
        if (tenanttype.length <= 0 || tenanttype == '') {
            alert('Tenant Type Cannot Be Empty');
            a = 0;
        }
        if (nameprin == '') {
            alert('Name Print Cannot Be Empty');
            a = 0;
        }

        if (tenanttype == 'C') {
            if (gstperc <= 0 || gstperc == '') {
                alert('GST Percent Cannot Be Empty');
                a = 0;
            }
        }

        if (a == 0) {
            return false;
            event.preventDefault();
        }
    });

//    function calcTot() {
//        var rent = $(".rent").val(),
//                repairtax = $(".repairtax").val(),
//                proptax = $(".proptax").val(),
//                othertax = $(".othertax").val(),
//                total = (parseFloat(rent) + parseFloat(repairtax) + parseFloat(proptax) + parseFloat(othertax)).toFixed(2);
//        $(".total").val(total);
//    }

    function checkGst() {
        var tenanttype = $(".tenanttype").val();
        if (tenanttype == 'C') {
            $(".gsttent").show();
        } else {
            $(".gsttent").hide();

        }
    }





//    function AddRows() {
//        var ctr = $('#items').val();
//        var hide_check = "";
//        if ($("#del_all").prop("checked")) {
//            hide_check = 0;
//        } else {
//            hide_check = 1;
//        }
//        $.post('customer_add.php', {ctr: ctr, hide: hide_check}, function (data) {
//            $(data).appendTo('#tabledata');
//            ctr++;
//            $('#items').val(ctr);
////            $('.detailpart').select2();
//        });
//    }

//    $('#addnew').click(function () {
//        AddRows();
//    });



    var accode = $(".vouchno").val();
    if (accode == 49) {
        $("#hdelete").hide();
    }



    function getStateCode() {
        var state = $(".state").val();
        $.post('get_stcode.php', {state: state}, function (data) {
            $(".statecode").val(data);
        });
    }

    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////
});